Ruby - Bug #7699

rubyspec failed: BigDecimal#divmod Can be reversed with * and +
01/15/2013 02:07 PM - mrkn (Kenta Murata)

Status: Rejected

Priority: Normal

Assignee: mrkn (Kenta Murata)

Target version: 2.2.0

ruby -v: 2.0.0dev (2013-01-18 trunk 38875) Backport:
[x86_64-linux]

Description

BigDecimal#divmod Can be reversed with * and + FAILED

Expected #BigDecimal:f430418,'0.5E5556',9(27)

to equal
500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

06/16/2025 12




000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:146:in block (5 levels) in <top (required)>'
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:143:in each’
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:143:in block (4 levels) in <top (required)>'
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:142:in each'
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:142:in block (3 levels) in <top (required)>'
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:132:in block (2 levels) in <top (required)>'
/mnt/sdb1/ruby/trunk/spec/rubyspec/library/bigdecimal/divmod_spec.rb:65:in “<top (required)>'

Finished in 84.747783 seconds

History

#1 - 01/27/2013 03:04 PM - mrkn (Kenta Murata)
- ruby -v changed from 2.0.0dev to 2.0.0dev (2013-01-18 trunk 38875) [x86_64-linux]

| cannot reproduce it with ruby 2.0.0dev (2013-01-27 trunk 38957) [x86_64-darwin12.2.0] built by clang.

#2 - 01/30/2013 03:23 AM - ko1 (Koichi Sasada)
(2013/01/27 15:04), mrkn (Kenta Murata) wrote:

| cannot reproduce it with ruby 2.0.0dev (2013-01-27 trunk 38957) [x86_64-darwin12.2.0] built by clang.

On my environment (*1), | got this failure sometimes (1 or 2 on 10 times
try).

(*1) Debian squeeze,
ruby 2.0.0dev (2013-01-29 trunk 38974) [x86_64-linux]

// SASADA Koichi at atdot dot net

#3 - 02/19/2013 01:15 AM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

mrkn, can you fix this issue?

Yusuke Endoh mame@tsg.ne.jp

#4 - 02/19/2013 08:41 PM - mrkn (Kenta Murata)

| think | cannot fix this until the deadline...

#5 - 08/07/2013 12:22 PM - naruse (Yui NARUSE)
- Status changed from Open to Assigned

- Target version changed from 2.6 to 2.1.0

#6 - 01/30/2014 06:16 AM - hsbt (Hiroshi SHIBATA)

- Target version changed from 2.1.0 to 2.2.0

#7 - 10/13/2014 07:52 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Rejected

| can't reproduce this issue on linux and osx.
If you still have this issue, please reopen this.
